{% extends "base.html" %}
{% load crispy_forms_tags %}
{% load static %}

{% block content %}
    <div class="container-fluid">
        <div class="row h-100">
            <div class="col-sm-12 my-auto">
            <h1>Log In</h1>
            <form method="POST">
                {% csrf_token %}
                <div class="form-group col">
                    {{form | crispy}}
                </div>
                <p>Don’t have an account?<a href="{% url 'djangu:signup' %}"> Sign Up </a></p>
                <input type="submit" class="btn btn-primary" value="Login">
            </form>
        </div>
    </div>
</div>

<style>

    h1 {
        text-align: center;
    }

    .form-control {
        box-shadow: 0px 4px 4px rgba(0, 0, 0, 0.25);
    }	

    .btn {
        display: flex;
        justify-content: center;
    }
    
    .container-fluid {
        height: 100%;
        margin-top: 20%;
    }
    
    .control-label {
        display: flex;
        justify-content: center;
    }	
    
     body {
        background: url("{% static 'BackgroundTK.png' %}");
        background-size: 100%;
        background-repeat: no-repeat;
        
    }

    @media only screen and (max-width: 576px) {
    body {
        background: url("{% static 'BackgroundHP.png' %}");
        background-repeat: no-repeat;
    }
}
    
    </style>
{% endblock %}